Bug 103716 - less skips first lines of wide CJK text
Summary: less skips first lines of wide CJK text
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-04 06:09 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 08:55:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2003-09-04 06:09:40 UTC
Description of problem:
When less displays CJK text that is wider than the terminal,
it skips a number of the initial lines.

Version-Release number of selected component (if applicable):
less-378-11.1

How reproducible:
Every time

Steps to Reproduce:
Inside an 80x24 terminal (or narrower if necessary) run say:

% LANG=ja_JP.UTF-8 ls -lt /usr/bin | less
    
Actual results:
A number of the initial lines are skipped by less initially.

Expected results:
All the text including the initial total line should have been displayed

Additional info:
I can reproduce this in gnome-terminal, kterm, uxterm and konsole.
If the terminal is wide enough to display each of the initial lines 
then all the text from the top is displayed fine.

Press Esc-> and then Esc-< brings the very top of the text into display.

Comment 1 Jens Petersen 2003-09-04 06:43:16 UTC
I realised that this doesn't show up in a default account,
so I need to provide more information on how to reproduce this...

Comment 2 Karsten Hopp 2004-03-29 08:55:09 UTC
closing due to inactivity, please reopen when you can reproduce this 


Note You need to log in before you can comment on or make changes to this bug.